lib64qscintilla2-devel-2.9.1-7.mga6.x86_64.rpm


Advertisement

Description

lib64qscintilla2-devel - Libraries, include and other files to develop applications with QScintilla for Qt4

Property Value
Distribution Mageia 6.0
Repository Mageia Core x86_64
Package name lib64qscintilla2-devel
Package version 2.9.1
Package release 7.mga6
Package architecture x86_64
Package type rpm
Installed size 447.57 KB
Download size 74.68 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.

Alternatives

Package Version Architecture Repository
lib64qscintilla2-devel - - -

Requires

Name Value
devel(libQtCore(64bit)) -
devel(libQtGui(64bit)) -
devel(libgcc_s(64bit)) -
devel(libm(64bit)) -
devel(libstdc++(64bit)) -
lib64qscintilla2_12 == 2.9.1-7.mga6
libQtCore.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.2.5)(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libqscintilla2.so.12()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -

Provides

Name Value
devel(libqscintilla2(64bit)) -
lib64qscintilla-devel == 2.9.1-7.mga6
lib64qscintilla2-devel == 2.9.1-7.mga6
lib64qscintilla2-devel(x86-64) == 2.9.1-7.mga6
libqscintillaplugin.so()(64bit) -
qscintilla-devel == 2.9.1-7.mga6
qscintilla-qt4-devel == 2.9.1-7.mga6

Obsoletes

Name Value
lib64qscintilla-devel < 2.9.1-2
lib64qscintilla-qt4-devel < 2.9.1-2

Download

Type URL
Binary Package lib64qscintilla2-devel-2.9.1-7.mga6.x86_64.rpm
Source Package qscintilla-2.9.1-7.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qscintilla2-devel rpm package:
    # urpmi lib64qscintilla2-devel

Files

Path
/usr/include/Qsci/qsciabstractapis.h
/usr/include/Qsci/qsciapis.h
/usr/include/Qsci/qscicommand.h
/usr/include/Qsci/qscicommandset.h
/usr/include/Qsci/qscidocument.h
/usr/include/Qsci/qsciglobal.h
/usr/include/Qsci/qscilexer.h
/usr/include/Qsci/qscilexeravs.h
/usr/include/Qsci/qscilexerbash.h
/usr/include/Qsci/qscilexerbatch.h
/usr/include/Qsci/qscilexercmake.h
/usr/include/Qsci/qscilexercoffeescript.h
/usr/include/Qsci/qscilexercpp.h
/usr/include/Qsci/qscilexercsharp.h
/usr/include/Qsci/qscilexercss.h
/usr/include/Qsci/qscilexercustom.h
/usr/include/Qsci/qscilexerd.h
/usr/include/Qsci/qscilexerdiff.h
/usr/include/Qsci/qscilexerfortran.h
/usr/include/Qsci/qscilexerfortran77.h
/usr/include/Qsci/qscilexerhtml.h
/usr/include/Qsci/qscilexeridl.h
/usr/include/Qsci/qscilexerjava.h
/usr/include/Qsci/qscilexerjavascript.h
/usr/include/Qsci/qscilexerlua.h
/usr/include/Qsci/qscilexermakefile.h
/usr/include/Qsci/qscilexermatlab.h
/usr/include/Qsci/qscilexeroctave.h
/usr/include/Qsci/qscilexerpascal.h
/usr/include/Qsci/qscilexerperl.h
/usr/include/Qsci/qscilexerpo.h
/usr/include/Qsci/qscilexerpostscript.h
/usr/include/Qsci/qscilexerpov.h
/usr/include/Qsci/qscilexerproperties.h
/usr/include/Qsci/qscilexerpython.h
/usr/include/Qsci/qscilexerruby.h
/usr/include/Qsci/qscilexerspice.h
/usr/include/Qsci/qscilexersql.h
/usr/include/Qsci/qscilexertcl.h
/usr/include/Qsci/qscilexertex.h
/usr/include/Qsci/qscilexerverilog.h
/usr/include/Qsci/qscilexervhdl.h
/usr/include/Qsci/qscilexerxml.h
/usr/include/Qsci/qscilexeryaml.h
/usr/include/Qsci/qscimacro.h
/usr/include/Qsci/qsciprinter.h
/usr/include/Qsci/qsciscintilla.h
/usr/include/Qsci/qsciscintillabase.h
/usr/include/Qsci/qscistyle.h
/usr/include/Qsci/qscistyledtext.h
/usr/lib64/libqscintilla2.so
/usr/lib64/qt4/mkspecs/features/qscintilla2.prf
/usr/lib64/qt4/plugins/designer/libqscintillaplugin.so

Changelog

2016-09-29 - joequant <joequant> 2.9.1-7.mga6
+ Revision: 1057584
- need rebuild to pick up new qt5
2016-02-16 - umeabot <umeabot> 2.9.1-6.mga6
+ Revision: 962530
- Mageia 6 Mass Rebuild
2015-11-14 - daviddavid <daviddavid> 2.9.1-5.mga6
+ Revision: 903090
- obsoletes some incorrect subpackages < 2.9.1-2
2015-11-09 - ns80 <ns80> 2.9.1-4.mga6
+ Revision: 899908
- fix python3-qt4-devel build requirement
2015-11-09 - ns80 <ns80> 2.9.1-3.mga6
+ Revision: 899901
- put Qt4 related headers in Qt4 related devel package
+ daviddavid <daviddavid>
- fix requires on qscintilla2-devel subpackage
2015-11-08 - akien <akien> 2.9.1-2.mga6
+ Revision: 899258
- Add missing python-qt5 package
- Rename lib packages to match their actual lib names
- Put translation files directly in the lib packages to get rid of i18n subpackages
- Rename python2-qt4-qscintilla to python-qt4-qscintilla
2015-11-08 - neoclust <neoclust> 2.9.1-1.mga6
+ Revision: 899213
- New version 2.9.1
2015-09-09 - neoclust <neoclust> 2.9-4.mga6
+ Revision: 874750
- Fix provides
2015-09-09 - neoclust <neoclust> 2.9-3.mga6
+ Revision: 874715
- Build more with qt5
2015-09-09 - fwang <fwang> 2.9-2.mga6
+ Revision: 874675
- qt5 flavour does not build now
- use correct qmake
- update sip dir
- update sysroot
- add more br
- set qt5 as default
- simplified br
- br qt5
- use correct macro
- fix br
- add py3qt5 flavour

See Also

Package Description
lib64qscintilla2-qt5-devel-2.9.1-7.mga6.x86_64.rpm Libraries, include and other files to develop applications with QScintilla for Qt5
lib64qscintilla2-qt5_12-2.9.1-7.mga6.x86_64.rpm Port to Qt5 of Neil Hodgson's Scintilla C++ editor class
lib64qscintilla2_12-2.9.1-7.mga6.x86_64.rpm Port to Qt4 of Neil Hodgson's Scintilla C++ editor class
lib64qt-gstreamer-devel-1.2.0-4.mga6.x86_64.rpm Development files for QtGstreamer
lib64qt-mobility-devel-1.2.2-4.mga6.x86_64.rpm Qt Mobility Framework development files
lib64qt3-3.3.8b-42.mga6.x86_64.rpm Qt3 - Shared libraries
lib64qt3-mysql-3.3.8b-42.mga6.x86_64.rpm MySQL plugin for Qt
lib64qt3-odbc-3.3.8b-42.mga6.x86_64.rpm ODBC plugin for Qt
lib64qt3-psql-3.3.8b-42.mga6.x86_64.rpm PostgresSQL plugin for Qt
lib64qt3-sqlite-3.3.8b-42.mga6.x86_64.rpm Sqlite 2 plugin for Qt
lib64qt3support4-4.8.7-15.mga6.x86_64.rpm Qt4 Component Library
lib64qt4-database-plugin-mysql-4.8.7-15.mga6.x86_64.rpm Qt4 MYSQL Database Plugin
lib64qt4-database-plugin-pgsql-4.8.7-15.mga6.x86_64.rpm Qt4 PGSQL Database Plugin
lib64qt4-database-plugin-sqlite-4.8.7-15.mga6.x86_64.rpm Qt4 SQLITE Database Plugin
lib64qt4-database-plugin-tds-4.8.7-15.mga6.x86_64.rpm Qt4 FREETDS Database Plugin
Advertisement
Advertisement